using System;
class Program{
    static void Main(){
        int up,minp;
        up = int.Parse(Console.ReadLine());
        minp = int.Parse(Console.ReadLine());
        Console.WriteLine("-1");
    }
}